> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/27.-mutacija-saglabat-note-kas-pievienota-soildataset.md).

# 27. Mutācija: saglabāt "Note", kas pievienota "SoilDataset"

Šī mutācija ļauj pievienot Piezīmi norādītajam AugsnesDatuKopumam.

* Piezīmi var sasaistīt ar Lauku, izmantojot tā unikālo identifikatoru `fieldUuid` un saistītajam AugsnesDatuKopumam caur `soilDatasetUuid`.
* Piezīmes koordinātas var noteikt, izmantojot `centroid` atribūtu, kam nepieciešamas definētas `platuma` un `garuma` vērtības.&#x20;
* Piezīmes tipu var norādīt, izmantojot `tips` atribūtu ar pieņemamām vērtībām `PLĀNOTS` vai `REĀLS`.&#x20;
* Piezīmes aprakstu var nodrošināt, izmantojot `comment` atribūtu. Ja aprakstam nepieciešamas vairākas rindas, `comment` atribūtam jāietver virkne ar jaunas rindas rakstzīmēm `\\n` lai atdalītu rindas. Piemēram: `"Pirmā rinda ir šeit\\nOtrā rinda ir šeit.\\nTrešā rinda ir šeit."`.

Paraugu pieprasījumus var atrast zemāk:

```graphql
mutācija SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      platuma_grādos: 53.42644, 
      garuma_grādos:  -109.87590
    },
    type: REAL,
    komentārs: "Testa piezīme, pievienota AugsnesDatuKopumam",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      platuma
      garuma
    }
    izveidesDatums
    updatedDate
    tips
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      platuma_grādos: 53.42644, 
      garuma_grādos:  -109.87590
    },
    type: REAL,
    comment: "Pirmā rinda. ir šeit\\nOtrā rinda ir šeit.\\nTrešā rinda ir šeit.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      platuma
      garuma
    }
    izveidesDatums
    updatedDate
    tips
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/27.-mutacija-saglabat-note-kas-pievienota-soildataset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
